Inspect the published Worker
curl --request GET \
--url https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script} \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodySlate inspection
Inspect the published Worker
Requires slate management permission. Returns the selected published Worker’s native metadata, including its trusted source commit tag when present. This metadata does not identify the revision that answered an individual HTTP request.
Inspect the published Worker
curl --request GET \
--url https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script} \
--header 'Authorization: Bearer <token>'import requests
url = "https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://platform.usecontextlayer.com/api/slates/{target}/cloudflare/accounts/{account}/workers/dispatch/namespaces/{namespace}/scripts/{script}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodyAuthorizations
bearerAuthwebCookielocalWebCookie
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Response
Native inspection result